micro_utils.dokka
0.15.1

# startPlugin

open suspend override fun startPlugin(koin: <Error class: unknown class>)

This method will be called after all other StartPlugin will setupDI

It is allowed to lock end of this method in case you require to prevent application to end its run (for example, you are starting some web server)

#### Parameters

koin

Will contains everything you will register in setupDI (as well as other StartPlugins) and kotlinx.coroutines.CoroutineScope, kotlinx.serialization.json.Json and dev.inmo.micro_utils.startup.launcher.Config by their types